## xdaliclock 2.20

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-# xdaliclock, Copyright (c) 1999 Jamie Zawinski.
+# xdaliclock, Copyright (c) 1991-2002 by Jamie Zawinski.
 
 SHELL		= /bin/sh
 TARFILES	= README Makefile version.h xdaliclock.lsm \
-		  config.guess config.sub install-sh
+		  config.guess config.sub install-sh \
+		  mac128/README mac128/*.*
 NUMBERS		= numbers0/*.xbm numbers1/*.xbm \
 		  numbers2/*.xbm numbers3/*.xbm
 TAR		= tar
@@ -43,7 +44,7 @@
 palm/Makefile:
 	@echo '==============================================================='
 	@echo ''
-	cd palm ; ./configure
+	cd palm ; ./configure --host=m68k-palmos --build=`../config.guess`
 
 clean: X11/Makefile palm/Makefile
 	cd X11 ; make $@
@@ -52,6 +53,15 @@
 distclean: X11/Makefile palm/Makefile
 	cd X11 ; make $@
 	cd palm ; make $@
+
+install:
+	@echo ''; \
+	 echo '        to install the X version: "cd X11; make install".';   \
+	 echo ''; \
+	 echo '        to install the Palm version: "cd palm; make", and';   \
+	 echo '        then download "daliclock.prc" to your PalmOS device.';\
+	 echo ''; \
+	 exit 5
 
 tar: X11/Makefile palm/Makefile
 	@								    \
@@ -78,13 +88,13 @@
       | sed \"s|^|$$subdir/|g;s| | $$subdir/|g\"			    \
       ` ";								    \
     cd $$d ; done ;							    \
-  echo creating tar file $${NAME}.tar.$(COMPRESS_EXT)... ;		    \
+  echo creating tar file archive/$${NAME}.tar.$(COMPRESS_EXT)... ;	    \
   $(TAR) -vchf -							    \
     `echo $(TARFILES) $$FILES $(NUMBERS)				    \
    | sed "s|^|$$NAME/|g; s| | $$NAME/|g" `				    \
-   | $(COMPRESS) > $${NAME}.tar.$(COMPRESS_EXT) ;			    \
+   | $(COMPRESS) > archive/$${NAME}.tar.$(COMPRESS_EXT) ;		    \
   rm $$NAME ;								    \
-  ls -ldF $${NAME}.tar.$(COMPRESS_EXT)
+  ls -ldF archive/$${NAME}.tar.$(COMPRESS_EXT)
 
 www::
 	@								    \
@@ -97,11 +107,11 @@
   PRC="$$HEAD2.prc"							 ;  \
   ZIP="$$HEAD2.zip"							 ;  \
 									    \
-  if [ ! -f $$TAR ]; then						    \
-    echo "$$TAR does not exist!  Did you forget to \`make tar'?" ;	    \
+  if [ ! -f archive/$$TAR ]; then					    \
+    echo "archive/$$TAR does not exist!  Did you forget to \`make tar'?" ;  \
     exit 1 ; 								    \
   fi ;									    \
-  chmod a-w $$TAR ;							    \
+  chmod a-w archive/$$TAR ;						    \
   if [ -f $$DEST/$$TAR ]; then						    \
     echo -n "WARNING: $$DEST/$$TAR already exists!  Overwrite? ";	    \
     read line;								    \
@@ -116,7 +126,7 @@
       exit 1 ; 								    \
     fi ;								    \
   fi ;									    \
-  cp -p $$TAR $$DEST/$$TAR ;						    \
+  cp -p archive/$$TAR $$DEST/$$TAR ;					    \
   chmod u+w $$DEST/$$TAR ;						    \
   cp -p palm/daliclock.prc $$DEST/$$PRC ;				    \
   cd $$DEST ;								    \
