## xdaliclock 2.23

=== OSX/Makefile ===
# Dali Clock for MacOS X, Copyright (c) 2005-2006 by Jamie Zawinski.

XCODEPROJ = DaliClock

default: deployment
all: deployment debug

clean:
	xcodebuild -target "$(XCODEPROJ)" clean

distclean:
	-rm -f Makefile config.status config.cache config.log \
	  *.bak *.rej TAGS *~ "#"*
	-rm -rf autom4te*.cache
	-rm -rf build

deployment:
	xcodebuild -target "$(XCODEPROJ)" -configuration Deployment  build

debug:
	xcodebuild -target "$(XCODEPROJ)" -configuration Development build

echo_tarfiles:
	@echo `find . \
	  \( \( -name '.??*' -o -name build -o -name CVS -o -name '*~*' \
	     -o -name 'jwz.*' \) \
	     -prune \) \
	  -o -type f -print \
	| sed 's@^\./@@' \
	| sort`

update_plist_version:
	@S=Info.plist ;							    \
	V=`sed -n 's/.*\([0-9][0-9]*\.[0-9]*\).*/\1/p' < ../version.h` ;    \
	echo -n "Updating version number in $$S to \"$$V\"... " ;	    \
	T=/tmp/xs.$$$$ ;						    \
	sed "s@\(<string>\)2\.[0-9][0-9]*@\1$$V@"			    \
	  < $$S > $$T ;							    \
	if cmp -s $$S $$T ; then					    \
	  echo "unchanged." ;						    \
	else								    \
	  cat $$T > $$S ;						    \
	  echo "done." ;						    \
	fi ;								    \
	rm $$T
