=== OSX/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # Dali Clock for MacOS X, Copyright (c) 2005-2007 by Jamie Zawinski.
 
-XCODEPROJ = All Targets
+XCODE_TARGET = "All Targets"
 
 default: release
 all: debug release
 
 clean:
 	-rm -rf build
-#	cd ..; xcodebuild -target "$(XCODEPROJ)" clean
+#	cd ..; xcodebuild -target $(XCODE_TARGET) clean
 
 distclean:
 	-rm -f config.status config.cache config.log \
@@ -16,15 +16,22 @@
 	-rm -rf build
 
 debug: distdepend
-	xcodebuild -target "$(XCODEPROJ)" -configuration Debug   build
+	xcodebuild -target $(XCODE_TARGET) -configuration Debug   build
 
-release: distdepend
-	xcodebuild -target "$(XCODEPROJ)" -configuration Release build
+release:: distdepend
+	xcodebuild -target $(XCODE_TARGET) -configuration Release build
+
+release:: sign
+
+sign:
+	codesign -vfs 'Jamie Zawinski' build/Release/*.{app,saver}
+	codesign -vfs 'Jamie Zawinski' build/Release/*.wdgt/*.widgetplugin
+#	codesign -vfs 'Jamie Zawinski' build/Release/*.wdgt
 
 echo_tarfiles:
 	@echo `find . \
 	  \( \( -name '.??*' -o -name build -o -name CVS -o -name '*~*' \
-	     -o -name 'jwz.*' \) \
+	     -o -name 'jwz.*' -o -name '*.widgetplugin' \) \
 	     -prune \) \
 	  -o -type f -print \
 	| sed 's@^\./@@' \
@@ -53,11 +60,12 @@
 
 distdepend:: update_plist_version
 update_plist_version:
-	@SS="AppInfo.plist SaverInfo.plist";				    \
+	@\
+  SS="AppInfo.plist SaverInfo.plist PluginInfo.plist *.wdgt/Info.plist" ;   \
   SRC=../version.h ;							    \
   V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' $$SRC` ;		    \
   for S in $$SS ; do							    \
-   echo -n "Updating version number in $$S to \"$$V\"... " ;		    \
+   /bin/echo -n "Updating version number in $$S to \"$$V\"... " ;	    \
    T=/tmp/xs.$$$$ ;							    \
    KEYS1="CFBundleVersion|CFBundleShortVersionString" ;			    \
    KEYS2="NSHumanReadableCopyright|CFBundleLongVersionString|CFBundleGetInfoString" ; \
@@ -84,7 +92,7 @@
   V=`echo $$V | sed 's/\.//g'` ;					      \
   TMPDIR="build" ;							      \
   SRC="build/Release" ;							      \
-  BASE="daliclock-$$V" ;						      \
+  BASE="DaliClock-$$V" ;						      \
   OUTDIR="../archive" ;							      \
   DMG="$$OUTDIR/$$BASE.dmg" ;						      \
   TMPDMG="$$TMPDIR/tmp.dmg" ;						      \
@@ -94,16 +102,19 @@
   rm -rf "$$STAGE" ;							      \
   echo + mkdir "$$STAGE" ;						      \
          mkdir "$$STAGE" ;						      \
-  FILES="$$SRC/*.app $$SRC/*.saver ../palm/daliclock.prc" ;		      \
+  FILES="$$SRC/*.app $$SRC/*.saver $$SRC/*.wdgt ../palm/daliclock.prc" ;      \
   echo + cp -pr $$FILES "$$STAGE" ;					      \
          cp -pr $$FILES "$$STAGE" ;					      \
   set -x ;								      \
   cp -p bindist.rtf "$$STAGE/ READ ME.rtf" ;				      \
   cp -p bindist-DS_Store "$$STAGE/.DS_Store" ;				      \
   /Developer/Tools/SetFile -a E "$$STAGE/ READ ME.rtf" ;		      \
-  /Developer/Tools/SetFile -a e $$STAGE/*.saver $$STAGE/*.prc ;		      \
+  /Developer/Tools/SetFile -a e $$STAGE/*.saver ;			      \
+  /Developer/Tools/SetFile -a e $$STAGE/*.prc ;				      \
+  /Developer/Tools/SetFile -a e $$STAGE/*.wdgt ;			      \
   seticon -d daliclockPRC.icns $$STAGE/*.prc ;				      \
   seticon -d daliclockSaver.icns $$STAGE/*.saver ;			      \
+  seticon -d daliclockWidget.icns $$STAGE/*.wdgt ;			      \
   hdiutil makehybrid -quiet -ov -hfs -hfs-volume-name "$$VOLNAME"	      \
     -hfs-openfolder "$$STAGE" "$$STAGE" -o "$$TMPDMG" ;			      \
   rm -rf "$$STAGE" ;							      \
