## xdaliclock 2.34+debian

=== Makefile ===
--- 
+++ 
@@ -7,17 +7,15 @@
 NUMBERS		= numbers0/*.xbm numbers1/*.xbm numbers2/*.xbm \
 		  numbers_big/README numbers_big/*.gif numbers_big/*.xbm
 TAR		= tar
-COMPRESS	= gzip --verbose --best
-COMPRESS_EXT	= gz
 
 
 default:
 	@echo ''; \
-	 echo '        please make one of: "x", "palm", "all", or "clean"'; \
+	 echo '        please make one of: "x", "palm", "webos", "all", or "clean"'; \
 	 echo ''; \
 	 exit 5
 
-all: X11 palm
+all:: OSX webos palm X11
 
 X11::   x11
 X::     X11
@@ -25,8 +23,7 @@
 gtk::   GTK
 OSX::   osx
 palm::  Palm
-pilot:: Palm
-Pilot:: Palm
+webos:: WebOS
 
 x11:: X11/Makefile
 	@echo '==============================================================='
@@ -47,6 +44,11 @@
 	@echo '==============================================================='
 	@echo ''
 	cd palm ; make
+
+WebOS:: webos/Makefile
+	@echo '==============================================================='
+	@echo ''
+	cd webos ; make
 
 X11/Makefile:
 	@echo '==============================================================='
@@ -68,12 +70,14 @@
 	cd gtk ; make $@
 	cd OSX ; make $@
 	cd palm ; make $@
+	cd webos ; make $@
 
 distclean: X11/Makefile gtk/Makefile palm/Makefile
 	cd X11 ; make $@
 	cd gtk ; make $@
 	cd OSX ; make $@
 	cd palm ; make $@
+	cd webos ; make $@
 
 install:
 	@echo ''; \
@@ -83,29 +87,36 @@
 	 echo '        then copy "build/Development/DaliClock.app"';	     \
 	 echo '        to your Applications folder."';			     \
 	 echo ''; \
-	 echo '      - to install the Palm version: "cd palm; make", and';   \
+	 echo '      - to install the PalmOS version: "cd palm; make", and'; \
 	 echo '        then download "daliclock.prc" to your PalmOS device.';\
 	 echo ''; \
+	 echo '      - to install the WebOS version: "cd webos; make", and'; \
+	 echo '        then send the .ipk to your Palm WebOS device.';\
+	 echo ''; \
 	 exit 5
 
-tar: X11/Makefile gtk/Makefile palm/Makefile
+dmg::
+	cd OSX ; $(MAKE) dmg
+
+tar: X11/Makefile gtk/Makefile palm/Makefile dmg
 	@								    \
   for dir in X11 gtk palm ; do						    \
    ( cd $$dir ;								    \
      rm -f configure ;							    \
-     autoconf ;								    \
+     autoconf263 ;							    \
      ./config.status ;							    \
      $(MAKE) distdepend );						    \
   done ;								    \
   (cd X11; make update_spec_version) ;					    \
   (cd gtk; make update_spec_version) ;					    \
   (cd palm; make update_rsc_version) ;					    \
+  (cd webos; make update_release_date) ;				    \
   (cd OSX; make update_plist_version) ;					    \
   NAME=`sed -n								    \
   's/[^0-9]*\([0-9]\.[0-9][0-9]*\).*/xdaliclock-\1/p' version.h` ;	    \
   rm -rf $$NAME ; ln -s . $$NAME ;					    \
   FILES= ;								    \
-  for subdir in X11 gtk palm OSX ; do					    \
+  for subdir in X11 gtk palm OSX webos ; do				    \
     d=`pwd` ;								    \
     cd $$subdir ;							    \
     FILES="$$FILES `$(MAKE) echo_tarfiles				    \
@@ -113,13 +124,12 @@
       | sed \"s|^|$$subdir/|g;s| | $$subdir/|g\"			    \
       ` ";								    \
     cd $$d ; done ;							    \
-  echo creating tar file archive/$${NAME}.tar.$(COMPRESS_EXT)... ;	    \
-  $(TAR) -vchf -							    \
+  echo creating tar file archive/$${NAME}.tar.gz... ;			    \
+  GZIP="-9v" $(TAR) -vchzf archive/$${NAME}.tar.gz			    \
     `echo $(TARFILES) $$FILES $(NUMBERS)				    \
-   | sed "s|^|$$NAME/|g; s| | $$NAME/|g" `				    \
-   | $(COMPRESS) > archive/$${NAME}.tar.$(COMPRESS_EXT) ;		    \
+   | sed "s|^|$$NAME/|g; s| | $$NAME/|g" ` ;				    \
   rm $$NAME ;								    \
-  ls -ldF archive/$${NAME}.tar.$(COMPRESS_EXT)
+  ls -ldF archive/$${NAME}.tar.gz
 
 www::
 	@								    \
@@ -130,7 +140,6 @@
   HEAD2="daliclock-$$VERS2"						 ;  \
   HEAD3="DaliClock-$$VERS2"						 ;  \
   TAR="x$$HEAD.tar.gz"							 ;  \
-  PRC="$$HEAD2.prc"							 ;  \
   DMG="$$HEAD3.dmg"							 ;  \
 									    \
   if [ ! -f archive/$$TAR ]; then					    \
@@ -153,14 +162,6 @@
     fi ;								    \
   fi ;									    \
 									    \
-  if [ -f $$DEST/$$PRC ]; then						    \
-    /bin/echo -n "WARNING: $$DEST/$$PRC already exists!  Overwrite? ";	    \
-    read line;								    \
-    if [ "x$$line" != "xyes" -a "x$$line" != "xy" ]; then		    \
-      exit 1 ; 								    \
-    fi ;								    \
-  fi ;									    \
-									    \
   if [ -f $$DEST/$$DMG ]; then						    \
     /bin/echo -n "WARNING: $$DEST/$$DMG already exists!  Overwrite? ";	    \
     read line;								    \
@@ -175,7 +176,6 @@
   cp -p archive/$$DMG $$DEST/$$DMG ;					    \
   chmod u+w $$DEST/$$DMG ;						    \
 									    \
-  cp -p palm/daliclock.prc $$DEST/$$PRC ;				    \
   cd $$DEST ;								    \
 									    \
   TMP=/tmp/xd.$$$$ ;							    \
@@ -197,8 +197,8 @@
     set +x ;								    \
   fi ;									    \
 									    \
-  OLDEST=`ls daliclock*.prc | head -1` ;				    \
-  /bin/echo -n "Delete $$DEST/$$OLDEST? ";					    \
+  OLDEST=`ls DaliClock*.dmg | head -1` ;				    \
+  /bin/echo -n "Delete $$DEST/$$OLDEST? ";				    \
   read line;								    \
   if [ "x$$line" = "xyes" -o "x$$line" = "xy" ]; then			    \
     set -x ;								    \
@@ -211,6 +211,6 @@
   rm -f $$TMP ;								    \
 									    \
   set -x ;								    \
-  cvs add -kb $$TAR $$PRC $$DMG ;					    \
+  cvs add -kb $$TAR $$DMG ;						    \
   cvs commit -m "$$VERS"
