=== debian/changelog ===
xdaliclock (2.34+debian-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Better debian/* copyright section

 -- Kartik Mistry <kartik@debian.org>  Wed, 09 Jun 2010 17:23:42 +0530

xdaliclock (2.33+debian-1) unstable; urgency=low

  * New upstream release:
    + Dropped spelling-error-in-manpage_xdaliclock patch, fixed upstream
  * We repack upstream tarball, so adding +debian suffix in package version
  * debian/watch:
    + Updated for dversionmangle
  * debian/control:
    + Wrapped up long description
  * debian/copyright:
    + Updated as per DEP-5 specifications

 -- Kartik Mistry <kartik@debian.org>  Wed, 19 May 2010 17:32:03 +0530

xdaliclock (2.31-1) unstable; urgency=low

  * New maintainer (Closes: #561233)
  * New upstream release (Closes: #578379)
  * debian/control:
    + Updated to Standards-Version 3.8.4
    + Added ${misc:Depends} to Depends
    + Updated debhelper dependency to 7
  * debian/rules:
    + Do not do append to copyright file trick
    + Used dh_prep instead of dh_clean -k
  * Converted package to new source format 3.0 (quilt)
  * debian/copyright:
    + Added missing vroot.h copyright
    + Better copyright assignment, year for Author
  * debian/patches/spelling-error-in-manpage_xdaliclock:
    + Added patch to fix manpage spelling mistake by Florian Ernst
      <florian@debian.org>

 -- Kartik Mistry <kartik@debian.org>  Tue, 20 Apr 2010 08:42:20 +0530

xdaliclock (2.25-1) unstable; urgency=low

  * New upstream release
  * Do the menu transition: Apps/Tools -> Games/Toys
  * Make use of Homepage control field

 -- Florian Ernst <florian@debian.org>  Sun, 02 Dec 2007 11:28:00 +0100

xdaliclock (2.24-1) unstable; urgency=low

  * New upstream release
  * debian/control: B-D on x11proto-core-dev instead of x-dev
  * Standards-Version 3.7.2

 -- Florian Ernst <florian@debian.org>  Sat, 05 May 2007 11:18:25 +0200

xdaliclock (2.23-1) unstable; urgency=low

  * New maintainer (Closes: #353390)
    + minor packaging tweaking, including auto-update of config.{sub,guess}
    + fix changelog weirdness
    + update debhelper compatibility level and Standards-Version
  * New upstream release
  * Remove patch from 2.18-9 as it seems to cause problems, this will
    supposedly fix #246572: xdaliclock freezes randomly
  * Acknowledge previous NMU via -v2.20-1

 -- Florian Ernst <florian@debian.org>  Fri, 24 Feb 2006 11:48:26 +0100

xdaliclock (2.20-1.1) unstable; urgency=low

  * Non-maintainer upload for xlibs-dev transition.
  * Update debian/control to not build-depend on xlibs-dev. (Closes: #346805)
  * Update config.{sub,guess} to fix FTBFS on k*BSD. (Closes: #342434)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 00:51:15 +0100

xdaliclock (2.20-1) unstable; urgency=low

  * New upstream version fixes Xinerama problems (Closes: #217684)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 21 Dec 2003 22:19:11 -0800

xdaliclock (2.19-1) unstable; urgency=low

  * New upstream version (Closes: #196312)

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu, 05 Jun 2003 19:48:26 -0700

xdaliclock (2.18-9) unstable; urgency=low

  * Apply patch from Zack Weinberg <zackw@panix.com> to only wake up once a
    minute when in no-seconds mode and color cycling is off.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon,  8 Oct 2001 12:18:39 -0700

xdaliclock (2.18-8) unstable; urgency=low

  * Document -datemode option in manual page and refer to the explaination there in usage() output. (Closes: 82585)
  * Fix time.h includes to allow compilation with recent versions of libc

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 20 Feb 2001 01:48:35 -0800

xdaliclock (2.18-7) unstable; urgency=low

  * New maintainer (Closes: #82249)
  * Updated Build-Depends to depend on modern X packages
  * Removed dh_suidregister from debian/rules file

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 14 Jan 2001 10:34:50 -0800

xdaliclock (2.18-5) unstable; urgency=low

  * Moved a man page, Closes: #80777 (serious?)

 -- Joey Hess <joey@kitenet.net>  Thu, 28 Dec 2000 14:43:37 -0800

xdaliclock (2.18-4) unstable; urgency=low

  * Added menu hint, Closes: #51995.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 13:32:56 -0800

xdaliclock (2.18-3) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 18:15:10 -0800

xdaliclock (2.18-2) unstable; urgency=low

  * Allow freshly unpacked source to be cleaned, Closes: #51700

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:11:10 -0800

xdaliclock (2.18-1) unstable; urgency=low

  * New upstream source.
  * Changes to debian/rules for new build system.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Nov 1999 13:17:17 -0800

xdaliclock (2.14-3) unstable; urgency=low

  * Removed install-stamp target, which can cause some problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:35:54 -0700

xdaliclock (2.14-2) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 21:07:09 -0700

xdaliclock (2.14-1) unstable; urgency=low

  * New upstream release (#34513). Probably fixes #18324 as well.
  * Debhelperized. This has a side effect of removing the *~ files
    that have crept into the .diff.
  * Registered with menu system (#35840).
  * Updated download location in copyright file.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Apr 1999 14:39:22 -0700

xdaliclock (2.11-3) frozen unstable; urgency=low

  * Now maintained by a different Joey.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Apr 1999 01:46:20 -0700

xdaliclock (2.11-2) frozen unstable; urgency=medium

  * used $(installdoc) on changelog (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Mar 1998 00:07:37 +0100

xdaliclock (2.11-1) unstable; urgency=low

  * New upstream version (thanks Joey!!) (closes: Bug#17998)
  * New Standards-Version 2.4.0.0 (lintian)
  * Corrected source location in copyright file


